using System;

namespace ZAD2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n,maxp=0;
            float p;
            double b = 0, max = 0;
            n = int.Parse(Console.ReadLine());
            int[] zarada = new int[n];
            float[] procenat = new float[n];
            double[] zaradaD = new double[n];
            for (int i=0;i<n;i++)
            {
                string[] niz = Console.ReadLine().Split();
                zarada[i] = int.Parse(niz[0]);
                procenat[i] = float.Parse(niz[1]);
                zaradaD[i] = 0;
            }
            for (int i = 0; i < n; i++)
            {
                p = procenat[i];
                for (int j = 0; j < n; j++)
                {
                    if(p<= procenat[j])
                    b =zaradaD[i] += zarada[j] * (p/100);
                    if(max<b)
                    {
                        max = b;
                        maxp = i;
                    }
                }
            }
            Console.WriteLine(zaradaD[maxp]);
        }
    }
}